
# todo

- verify `user-dirs.conf` works without running `xdg-user-dirs-update --set` commands

- verify `bluetoothctl` works (_requires a system with a bluetooth adapter_)

- investigate `laptop-mode-tools` configuration (_on an actual laptop_)
	- modify `panel_items = LTSCB` in `~/.config/tint2/tint2rc` for displaying battery

- verify `locale-gen` with `ja_JP.UTF-8` works without any problems
	- test `fcitx-mozc` or alternatives for GUI selection and IME support

- enhance `setup/install.sh` to parameterize or ask for the main disk

- enhance `setup/install.sh` such that it can intelligently size swap
	- detect if laptop (`pacman -S dmidecode`) or ask if user wishes to enable hibernation
	- detect memory total (`cat /proc/meminfo | grep "MemTotal" | awk '{print $2}'`)
		- if no hibernation
			- total > 4GB use 20% for SWAP
			- else use 200% total
		- if yes hibernation
			- if total < 6G use 200%
			- else use 100% + 2G

- consider adding `https://aur.archlinux.org/packages/yay/` to the installed AUR packages

- investigate `libfm` and `pcmanfm` enhancements
	- a patch to enable directory thumbnail generation
	- support for `webp` files; including animated `webp` files
